/** 配置类型枚举 */
export declare enum ConfigTypeEnum {
    /**
     * 正则表达式类型
     * -----
     * @example `${key}:${targetKey}:REG:${pattern}:${replaceValue}:${flags}`
     */
    REG = "REG",
    /**
     * 直接设置值类型
     * -----
     * @example `${key}:${targetKey}:VALUE:${value}`
     */
    VALUE = "VALUE",
    /**
     * 默认类型
     * -----
     * @example `${key}`
     * @example `${key}:${targetKey}`
     */
    DEFAULT = "DEFAULT"
}
/** 获取配置key及其参数 */
export declare const getKey: (configStr: string) => {
    key: string;
    /** 目标key */
    targetKey: string;
    /** 参数列表 */
    paramsList: string[];
};
/** 参数解析-获取最终值 */
export declare const paramsResolve: ({ valueInit, paramsList, }: {
    valueInit: any;
    paramsList: string[];
}) => any;
